diff --git a/bigbluebutton-config/bin/bbb-conf b/bigbluebutton-config/bin/bbb-conf
index c7db6991c55056c55b69b35b572bb1f521ea1819..1da60bed7e0d5fd8309c883b3b3af4a0f0436ab4 100755
--- a/bigbluebutton-config/bin/bbb-conf
+++ b/bigbluebutton-config/bin/bbb-conf
@@ -45,7 +45,7 @@
 
 
 FREESWITCH_INIT_D="/etc/init.d/bbb-freeswitch"
-BBB_VERSION="0.8-beta-2"
+BBB_VERSION="0.8-beta-3"
 
 if [ ! -f /usr/share/red5/webapps/bigbluebutton/WEB-INF/red5-web.xml ]; then
 	echo "#"
@@ -1227,13 +1227,14 @@ check_state() {
 		fi
 
 		SIP_SERVER_HOST=$(cat /usr/share/red5/webapps/sip/WEB-INF/bigbluebutton-sip.properties | sed -n '/sip.server.host=/{s/.*=//;s/;//;p}')
-		#IP=$(ifconfig | grep -v '127.0.0.1' | grep -E "[0-9]*\.[0-9]*\.[0-9]*\.[0-9]*" | head -1 | cut -d: -f2 | awk '{ print $1}')
-		if [ $SIP_SERVER_HOST != $IP ]; then
-			echo 
-			echo "# The IP address ($SIP_SERVER_HOST) set for sip.server.host in"
-			echo "#    /usr/share/red5/webapps/sip/WEB-INF/bigbluebutton-sip.properties"
-			echo "# does not match the local IP address ($IP)."
-			echo 
+		if [ $SIP_SERVER_HOST != "127.0.0.1" ]; then
+			if [ $SIP_SERVER_HOST != $IP ]; then
+				echo 
+				echo "# The IP address ($SIP_SERVER_HOST) set for sip.server.host in"
+				echo "#    /usr/share/red5/webapps/sip/WEB-INF/bigbluebutton-sip.properties"
+				echo "# does not match the local IP address ($IP)."
+				echo 
+			fi
 		fi
 	fi
 
diff --git a/bigbluebutton-config/cron.daily/bigbluebutton b/bigbluebutton-config/cron.daily/bigbluebutton
new file mode 100755
index 0000000000000000000000000000000000000000..fd87ab64c1c8e506acef029a82af0bbc6b2a789f
--- /dev/null
+++ b/bigbluebutton-config/cron.daily/bigbluebutton
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+#
+# BigBlueButton open source conferencing system - http://www.bigbluebutton.org/
+#
+# Copyright (c) 2010 BigBlueButton Inc. and by respective authors (see below).
+#
+# This program is free software; you can redistribute it and/or modify it under the
+# terms of the GNU Lesser General Public License as published by the Free Software
+# Foundation; either version 2.1 of the License, or (at your option) any later
+# version.
+#
+# BigBlueButton is distributed in the hope that it will be useful, but WITHOUT ANY
+# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
+# PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License along
+# with BigBlueButton; if not, see <http://www.gnu.org/licenses/>.
+# 
+
+test -x /var/bigbluebutton || exit 0
+
+#
+# Delete old presentation directories in /var/bigbluebutton
+#
+find /var/bigbluebutton -maxdepth 1 -type d -name "*-*" -mtime +11 -exec rm -r '{}' \;
+
+#
+# Delete saved webcam streams in red5
+#
+find /usr/share/red5/webapps/video/streams -name "*.flv" -mtime +1 -exec rm '{}' \;
+
+#
+# Delete saved desktop sharing streams in red5
+#
+find /var/bigbluebutton/deskshare -name "*.flv" -mtime +1 -exec rm '{}' \;
diff --git a/bigbluebutton-config/web/index.html b/bigbluebutton-config/web/index.html
index 4d23439616614728f9624fed0c0cbae2c2ea22a8..9c95a7e968da4ca4ef7242cd8b3746beb9d60fce 100755
--- a/bigbluebutton-config/web/index.html
+++ b/bigbluebutton-config/web/index.html
@@ -14,7 +14,7 @@
                 <div id="slogan"><h3>Demo Server</h3></div>
             </div>
             <div id="versionNum">
-                <p style="text-align:right;"><strong>What's new in version 0.8-beta-2</strong></p>
+                <p style="text-align:right;"><strong>What's new in version 0.8-beta-3</strong></p>
                 <p style="text-align:right;">Recording of sessions</p>
                 <p style="text-align:right;">HTML5 playback of recordings</p>
                 <p style="text-align:right;">Improved audio</p>